﻿using System;
using System.Linq;
using System.Runtime.InteropServices;
using Alarus;
using Alarus.GUI;

namespace MenuItem_PluginExample
{
	[Serializable]
	[AlarusSerializable]
	[Guid("9DFA78EB-0C49-4295-9049-C8AAEE6C1DDE")]
	public class MenuItemExample : IClientPluginMenuItem
	{
		public string Header => "Menu Item Example";

		public string ImageName => "Info";

		public void ShowWindow(IPluginClientToolSet pluginToolSet)
		{
			var channelDescriptions = pluginToolSet.ConfigReader.GetChannels();
			var channelsIds = channelDescriptions.Select(channelDescription => channelDescription.Id).ToList();
			var windowExample = new WindowExample();
			windowExample.TestControl.ItemsSource = channelsIds;
			windowExample.Show();
		}

		public bool HasActivePlugins(IPluginClientToolSet pluginToolSet)
		{
			return true;
		}
	}
}